Package: org.apache.groovy.groovysh.jline

## [Java] Class GroovyEngine.EngineClassLoader

- org.apache.groovy.groovysh.jline.GroovyEngine.EngineClassLoader

-     public static class GroovyEngine.EngineClassLoader
      extends GroovyClassLoader

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class GroovyClassLoader` | `classCache, sourceCache`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `EngineClassLoader()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Package[]` | `getPackages()`
    `` | `public void` | `purgeClassCache(String regex)`
    `` | `public void` | `purgeClassCache()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GroovyClassLoader` | `addClasspath, addURL, clearCache, close, createCollector, createCompilationUnit, defineClass, defineClass, genEncodingString, generateScriptName, getClassCacheEntry, getClassPath, getLoadedClasses, getPermissions, getResourceLoader, getTimeStamp, hasCompatibleConfiguration, isRecompilable, isShouldRecompile, isSourceNewer, loadClass, loadClass, loadClass, loadClass, loadGroovySource, parseClass, parseClass, parseClass, parseClass, parseClass, parseClass, recompile, removeClassCacheEntry, setClassCacheEntry, setResourceLoader, setShouldRecompile`

- - ### Constructor Detail

    - #### public EngineClassLoader()

  - ### Method Detail

    - #### @Override
      public Package[] getPackages()

    - #### public void purgeClassCache(String regex)

    - #### public void purgeClassCache()